Skip to main content
PATCH
/
v0
/
topics
/
{topic_id}
Update topic
curl --request PATCH \
  --url https://api.tryarchitect.com/v0/topics/{topic_id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "title": "<string>",
  "sortOrder": 4503599627370495
}
'
{
  "topicId": "<string>",
  "title": "<string>",
  "purpose": "<string>",
  "sortOrder": 123,
  "isDefault": true,
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "entries": [
    {
      "topicEntryId": "<string>",
      "topicId": "<string>",
      "sortOrder": 123,
      "content": {
        "type": "<string>",
        "content": "<string>"
      },
      "createdAt": "<string>",
      "updatedAt": "<string>"
    }
  ]
}

Authorizations

x-api-key
string
header
required

API key authentication for the External Actor Gateway

Path Parameters

topic_id
string
required

topic_id parameter

Body

application/json
title
string
Minimum string length: 1
sortOrder
integer
Required range: 0 <= x <= 9007199254740991

Response

Topic created successfully

topicId
string
required
title
string
required
purpose
string | null
required
sortOrder
number
required
isDefault
boolean
required
createdAt
string
required
Pattern: ^\+[1-9]\d{1,14}$
updatedAt
string
required
Pattern: ^\+[1-9]\d{1,14}$
entries
object[]
required